# (c) cavaliba.com

#  SITEGROUP


# -----------------------------------
# sitegroup permission
# -----------------------------------

- classname: _permission
  keyname: p_data_sitegroup_admin
  description: "data_sitegroup admin permission"
  displayname: "p_data_sitegroup_admin"
  
- classname: _permission
  keyname: p_data_sitegroup_create
  description: "data_sitegroup create permission"
  displayname: p_data_sitegroup_create
  
- classname: _permission
  keyname: p_data_sitegroup_read
  description: "data_sitegroup read permission"
  displayname: p_data_sitegroup_read
  
- classname: _permission
  keyname: p_data_sitegroup_update
  description: "data_sitegroup update permission"
  displayname: p_data_sitegroup_update
        
- classname: _permission
  keyname: p_data_sitegroup_delete
  description: "data_sitegroup delete permission"
  displayname: p_data_sitegroup_delete
       



# --------------------------------------------
# sitegroup schema
# --------------------------------------------

- classname: _schema
  keyname: sitegroup
  displayname: Groups of Sites
  _action: init
  is_enabled: yes
  order: 205
  page: Asset Management

  _options:
      icon: fa-university
      p_admin: p_data_sitegroup_admin
      p_create: p_data_sitegroup_create
      p_read: p_data_sitegroup_read
      p_update: p_data_sitegroup_update
      p_delete: p_data_sitegroup_delete

  description:
      displayname: Description
      order: 100
      dataformat: string

  members:
      displayname: Members (Sites)
      page: Sirene
      order: 110
      dataformat: schema
      dataformat_ext: site
      cardinal_max: 0

  notify_user:
      displayname: Notify (Users)
      page: Notifications
      order: 200
      dataformat: user
      cardinal_max: 0

  notify_group:
      displayname: Notify (Groups)
      page: Notifications
      order: 210
      dataformat: group
      cardinal_max: 0



# --------------------------------------------
# sitegroup dashboard
# --------------------------------------------


- classname: _home
  keyname: data_sitegroup
  displayname: Groups of Sites
  description: Groups of Sites
  icon: fa-university
  url: /data/private/c/sitegroup/list/
  dashboard_section: Asset Management
  sidebar_section: Asset Management
  order: 205
  permission: p_data_sitegroup_read
  _action: init